/**
 * @packageDocumentation
 * @module apputils
 */
import { Toolbar as UIToolbar } from '@jupyterlab/ui-components';
import { Widget } from '@lumino/widgets';
import { Toolbar as ApputilsToolbar } from './toolbar';
/**
 * @deprecated since v4
 * These widgets are now in @jupyterlab/ui-components
 */
export { addCommandToolbarButtonClass, addToolbarButtonClass, Collapser as Collapse, CommandToolbarButton, CommandToolbarButtonComponent, IFrame, IUseSignalProps, IUseSignalState, HoverBox, ReactWidget, Spinner, Styling, ToolbarButton, ToolbarButtonComponent, UseSignal, VDomModel, VDomRenderer } from '@jupyterlab/ui-components';
export * from './clipboard';
export * from './commandlinker';
export * from './commandpalette';
export * from './dialog';
export * from './domutils';
export * from './inputdialog';
export * from './kernelstatuses';
export * from './mainareawidget';
export * from './menufactory';
export * from './notification';
export * from './printing';
export * from './runningSessions';
export * from './sanitizer';
export * from './semanticCommand';
export * from './sessioncontext';
export * from './thememanager';
export * from './tokens';
export { ToolbarWidgetRegistry, createDefaultFactory, createToolbarFactory, setToolbar } from './toolbar';
export * from './widgettracker';
export * from './windowresolver';
/**
 * @deprecated since v4
 * This class is in @jupyterlab/ui-components
 */
export declare class Toolbar<T extends Widget = Widget> extends UIToolbar<T> {
}
export declare namespace Toolbar {
    const createInterruptButton: typeof ApputilsToolbar.createInterruptButton;
    const createKernelNameItem: typeof ApputilsToolbar.createKernelNameItem;
    const createKernelStatusItem: typeof ApputilsToolbar.createKernelStatusItem;
    const createRestartButton: typeof ApputilsToolbar.createRestartButton;
    /**
     * @deprecated since v4
     * This helper function is in @jupyterlab/ui-components
     */
    const createSpacerItem: typeof UIToolbar.createSpacerItem;
}
