/**
 * @packageDocumentation
 * @module markedparser-extension
 */
import { JupyterFrontEndPlugin } from '@jupyterlab/application';
import { IEditorLanguageRegistry } from '@jupyterlab/codemirror';
import { IMarkdownParser } from '@jupyterlab/rendermime';
/**
 * Create a markdown parser
 *
 * @param languages Editor languages
 * @returns Markdown parser
 */
export declare function createMarkdownParser(languages: IEditorLanguageRegistry): {
    render: (content: string) => Promise<string>;
};
/**
 * The markdown parser plugin.
 */
declare const plugin: JupyterFrontEndPlugin<IMarkdownParser>;
/**
 * Export the plugin as default.
 */
export default plugin;
